Package org.bukkit.event.player

# Class AsyncPlayerChatPreviewEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.player.PlayerEvent
org.bukkit.event.player.AsyncPlayerChatEvent
org.bukkit.event.player.AsyncPlayerChatPreviewEvent

All Implemented Interfaces:
  `Cancellable`

@Deprecated public class AsyncPlayerChatPreviewEvent extends AsyncPlayerChatEvent
Deprecated.
chat previews have been removed
Used to format chat for chat preview. If this event is used, then the result of the corresponding `AsyncPlayerChatEvent` must be formatted in the same way.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.player.PlayerEvent

`player`

## Constructor Summary

Constructors
Constructor
Description
`AsyncPlayerChatPreviewEvent(boolean async, @NotNull Player who, @NotNull String message, @NotNull Set<Player> players)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`static @NotNull HandlerList`
`getHandlerList()`
Deprecated.
`@NotNull HandlerList`
`getHandlers()`
Deprecated.

### Methods inherited from class org.bukkit.event.player.AsyncPlayerChatEvent

`getFormat, getMessage, getRecipients, isCancelled, setCancelled, setFormat, setMessage`

### Methods inherited from class org.bukkit.event.player.PlayerEvent

`getPlayer`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AsyncPlayerChatPreviewEvent

public AsyncPlayerChatPreviewEvent(boolean async, @NotNull @NotNull Player who, @NotNull @NotNull String message, @NotNull @NotNull Set<Player> players)
Deprecated.

## Method Details

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()
Deprecated.

Overrides:
  `getHandlers` in class `AsyncPlayerChatEvent`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()
Deprecated.